summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-02-11 01:47:07 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-02-11 01:47:07 +0000
commitc31b72c63d84a16cbce92557fb754f31b7d5f059 (patch)
tree606538e3e9d7377cf8d590feed24e0f3b0472d1c /dev-python
parentbed1c430d397a8ddbae3ee7755fdc1dc7000a755 (diff)
downloadbaldeagleos-repo-c31b72c63d84a16cbce92557fb754f31b7d5f059.tar.gz
baldeagleos-repo-c31b72c63d84a16cbce92557fb754f31b7d5f059.tar.xz
baldeagleos-repo-c31b72c63d84a16cbce92557fb754f31b7d5f059.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/google-auth/Manifest1
-rw-r--r--dev-python/google-auth/google-auth-1.26.0.ebuild59
-rw-r--r--dev-python/prompt_toolkit/Manifest1
-rw-r--r--dev-python/prompt_toolkit/prompt_toolkit-3.0.15.ebuild24
-rw-r--r--dev-python/tqdm/Manifest1
-rw-r--r--dev-python/tqdm/tqdm-4.56.2.ebuild54
6 files changed, 140 insertions, 0 deletions
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index 36473cdb7660..cf7d3a4f30bc 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1,2 +1,3 @@
DIST google-auth-1.24.0.tar.gz 120351 BLAKE2B b0a78ad87622bc806cce72847d5dad3844afe080ffbcd822575dab6208952806360bed4e8756133d5b4fe2755f6cbeeb239b8f51634dd3d4cede9346372b689a SHA512 3e678dd946eb6c3c865cd35df1480a96ed35cf14b973f2239c5213b223a6569b4a9642609ac51243af75c662a08bbf0518d8592db97af297cf67c52b83019e30
DIST google-auth-1.25.0.tar.gz 121940 BLAKE2B 9c7346b134153321fe7116cc77bdcd0d07b2d4a5264d4a982f23a44458ba17c03ef8d204d2c6bd697561c11563bbff1d093ec4563700910ea3bbd9a063006005 SHA512 1c83f18904b646264263c8ba20c13bcc61572b9de397331564b1c2e65083a27e6393dd9435b03789136d2fc2b43750f784d21a3dc670a58cc4bade9de267f195
+DIST google-auth-1.26.0.tar.gz 156982 BLAKE2B b7511ae345e239ccbba87210ad2dd75cb845512753afe7b18613d3657a24e94e9525ff3f6fdd14f81623503fd0cb66696790285f8d4b812ee0b498005536768e SHA512 7e98afdf59d74c52abf074b158d15a75f2e4e17da9da917fd18a64e463168b51aab66cb5d9b09740b380f7fd268319b63d15259af8bb706d49c64abf587f298b
diff --git a/dev-python/google-auth/google-auth-1.26.0.ebuild b/dev-python/google-auth/google-auth-1.26.0.ebuild
new file mode 100644
index 000000000000..8106ce0b3386
--- /dev/null
+++ b/dev-python/google-auth/google-auth-1.26.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python/
+ https://pypi.org/project/google-auth/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/namespace-google[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/cachetools-2.0.0[${PYTHON_USEDEP}]
+ "
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/oauth2client[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # delete stray files included in the tarball
+ find "${S}"/tests -name '*.pyc' -delete || die
+ distutils-r1_src_prepare
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/prompt_toolkit/Manifest b/dev-python/prompt_toolkit/Manifest
index 9f0d760e6118..b94964991175 100644
--- a/dev-python/prompt_toolkit/Manifest
+++ b/dev-python/prompt_toolkit/Manifest
@@ -3,5 +3,6 @@ DIST prompt_toolkit-3.0.10.tar.gz 3020391 BLAKE2B 397ab28e5a362c84df7286be27be11
DIST prompt_toolkit-3.0.11.tar.gz 3024453 BLAKE2B 3e4b278797b1d55c35566d35ea08b3421df16942023952acfc1126bcdc2c4b2105d7e061951fc0fb995045437ea1168a0f3855f4b1450675da87d53a1e6e68af SHA512 d8f17aace8b54df0bcac101d062e207ed05ad305b1876bf1c0b926dd09ecec07f557dcab16f22f24fd9bc82902f4f85dc86ad797b542efa95b377b5d8f473423
DIST prompt_toolkit-3.0.13.tar.gz 3024804 BLAKE2B 9e2db8742bd2bf64a662dbf2bf859b475a2b55213bb90dbee334deecde19a26d325713b9515b53b6e4e946020a7bd8263a391bcad738a3742d02e38bda4f2188 SHA512 d71671d3608e9d7600c5c846d215da829919dfec5fe2bb69615b2e6aaab2226c5c7fbb444eb31019d208b1f590f7ac29b5705d422b164eed0cb61802b90beb12
DIST prompt_toolkit-3.0.14.tar.gz 385647 BLAKE2B 08e4483846ba0e6cc69828840a0791e1b85a7db91718042e9a357741164183c0ccd241130c83b980b88884ba32bcb60714c7f920731aa6ca91186ed6f256bafe SHA512 7767861d9f6e5cf88b398420187e4b0a075aaa4645cd8c346db104101f89bbe7c0da2a6518c82066da5efa7376db5144451416ec7b12e92360972f8d4e25d018
+DIST prompt_toolkit-3.0.15.tar.gz 3027170 BLAKE2B c00c44310784ccb652f8130fb236605bb2fa7cec4c396ff842038e6e07667fb185cfb0b2b6df676c1a4472f35a14542252080429662c959712c2ec566bbfefa2 SHA512 a8e2078f01a5e4b5f50fbdd16a4aa98e34322460da64be416a127234736074ae851d2be62a19bc98064376f49afc24aef40e4d568c43e92a16d55e31e7551c71
DIST prompt_toolkit-3.0.7.tar.gz 3018359 BLAKE2B c1d1f897a422df599d2bfbbfc53851489bf9f41a7ddb57fb1a03cae8411a7468bd047423922a5e95dcdcfb2730dee38029bdaa15eb7dc92ff47066b4b6edc6cb SHA512 3ee4cf65f175343273eb2c1b76250b35430ac3f3ee7cc61bfbcca86a717fdaaf74c723dba400d872b47b06883bed959b166df33b8960173beb466edf9266ff43
DIST prompt_toolkit-3.0.9.tar.gz 3019859 BLAKE2B ebde3bd1ecf0f24b98e4f3e173c0a885c47af4a30bc19ce50bdc01636cd095cb7b09f9aacf37fd5f33f92ad2e5adec7f94cc85d5a48264c186a3a7460ef04b7d SHA512 8e9777215b73e1076f82e9733963151bbc4248581298b0f996cc1700db2aa28eaef3fb1a07470706e7569021f5e47ad9bc3a9a93c976fa36b6979552afc522b7
diff --git a/dev-python/prompt_toolkit/prompt_toolkit-3.0.15.ebuild b/dev-python/prompt_toolkit/prompt_toolkit-3.0.15.ebuild
new file mode 100644
index 000000000000..46cd3eff785d
--- /dev/null
+++ b/dev-python/prompt_toolkit/prompt_toolkit-3.0.15.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Building powerful interactive command lines in Python"
+HOMEPAGE="
+ https://pypi.org/project/prompt-toolkit/
+ https://github.com/prompt-toolkit/python-prompt-toolkit"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RDEPEND="
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/tqdm/Manifest b/dev-python/tqdm/Manifest
index 58f5f4893a76..94caac801d32 100644
--- a/dev-python/tqdm/Manifest
+++ b/dev-python/tqdm/Manifest
@@ -3,3 +3,4 @@ DIST tqdm-4.55.1.tar.gz 161638 BLAKE2B 0149269f1ea854589647deb4ddd7415748924942e
DIST tqdm-4.55.2.tar.gz 162632 BLAKE2B 02e49f442c8d5ad3799de143dd8a188796293253e836c24d04e75aa45f7cbeecb967f1503467ca7486dfd412538da6f7a3aa4c674e16f0da3954f44347c5a498 SHA512 f61f28f2b8f7c4d848e31a3d791822a0433573b36aa900d055e1919b555b84ee36d988c6f51d6951355e70821f4d24bee72bdd4472262ea55ea012ff0556b0df
DIST tqdm-4.56.0.tar.gz 166848 BLAKE2B d2239ff7efd9c91b7101357b6c7d352c42c49c41c34209092fdfe420e090458581aed61f2ddff09d1c64539eed0d83eb240e6b467b82193016cf13bac94f3313 SHA512 c65eb167063c4b6a0931a6f19fb2e4d88eb92fe3f3118c0247cd0e148220523097c4419289428d2a4c22cc187011d78cba32fc080eb2cbe352f873e29646094e
DIST tqdm-4.56.1.tar.gz 166899 BLAKE2B 11c40049ee2d3ce890a6a443432fd2834b177ea4d19549c179dcc9da6bcd71093b54a5f2a7027ab40e9c5c7bf48581c7fe4cd4ad819a3d60a8e3c7c5537fd357 SHA512 4b940bbf2fdd1093e1e0c50f17de7231dd58b0f04d9a8a97df4835f23e46b7b58f68e1ad96f77b191cae49e80498fd31ae67ff4fb4db821d90ec85bf83d48043
+DIST tqdm-4.56.2.tar.gz 167040 BLAKE2B c1754cb262977688365c6bf17ec6b6ec31704cdb22aaf05261653c4c9609bdbd16863a15f58a7fe0fb2c0983513b091be55dbca48a0a7b1177a4d017d6800ce0 SHA512 8e7ec199c43a3cdb69bdbfaaec33c11ce8b337255eff4ae6af9928c2a2c5adb065698538562020c9f0a29a63671cbbfcf2c4c9ccb25bec0ec1d8ae8df66516c3
diff --git a/dev-python/tqdm/tqdm-4.56.2.ebuild b/dev-python/tqdm/tqdm-4.56.2.ebuild
new file mode 100644
index 000000000000..5caf7e58ff9e
--- /dev/null
+++ b/dev-python/tqdm/tqdm-4.56.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/tqdm/tqdm"
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x64-macos"
+fi
+
+DESCRIPTION="Add a progress meter to your loops in a second"
+HOMEPAGE="https://github.com/tqdm/tqdm"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="examples"
+
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # Skip unpredictable performance tests
+ pytest -vv --ignore 'tests/tests_perf.py' ||
+ die "Tests failed with ${EPYTHON}"
+}
+
+python_install() {
+ doman "${BUILD_DIR}"/lib/tqdm/tqdm.1
+ rm "${BUILD_DIR}"/lib/tqdm/tqdm.1 || die
+ distutils-r1_python_install
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}